diff --git a/web/pgadmin/static/js/tree/tree_init.tsx b/web/pgadmin/static/js/tree/tree_init.tsx
index a9a6892e3..89a25fe2e 100644
--- a/web/pgadmin/static/js/tree/tree_init.tsx
+++ b/web/pgadmin/static/js/tree/tree_init.tsx
@@ -13,8 +13,9 @@ import { FileTreeX, TreeModelX } from 'pgadmin4-tree';
 import {Tree} from './tree';
 
 import { IBasicFileSystemHost } from 'react-aspen';
-import { ManageTreeNodes } from './tree_nodes'
-import { Directory } from 'react-aspen'
+import { ManageTreeNodes } from './tree_nodes';
+import { Directory } from 'react-aspen';
+import pgAdmin from 'sources/pgadmin';
 
 var initBrowserTree = async (pgBrowser) => {
   const MOUNT_POINT = '/browser'
@@ -36,13 +37,11 @@ var initBrowserTree = async (pgBrowser) => {
       if (a._metadata && a._metadata.data._type == 'column') return 0;
       // Sort alphabetically
       if (a.constructor === b.constructor) {
-        return a.fileName > b.fileName ? 1
-          : a.fileName < b.fileName ? -1
-          : 0
-        }
-        return a.constructor === Directory ? -1
-          : b.constructor === Directory ? 1
-          : 0
+        return pgAdmin.natural_sort(a.fileName, b.fileName);
+      }
+      return a.constructor === Directory ? -1
+        : b.constructor === Directory ? 1
+        : 0
 	},
   }
 
